<template>
  <div>
    <h1 class="mb-8">Do any of the following apply to you?</h1>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!checkboxSelected.length"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {constants} from "@/constants";
import {answersMixin, checkboxMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "YourHealth9",
  data() {
    return {
      choices: [
        'Lost a significant amount of hair in a short period of time',
        'Have irresistible urges to pull out your hair',
        'Frequently wear wigs or have tight braids',
        'Regularly bleach, color, or perm my hair',
        'Childbirth',
        constants.NONE_CHOICE
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_9')
      }
    }
  }
}
</script>

<style scoped>

</style>
